%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdepimrel 3m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 05c7affb1cac03885ea9109aa2a2e9eb

Summary: KDE kicker applet to access addressbook
Name: kickpim
Version: 0.5.3
Release: %{momorel}m%{?dist}
License: GPL
URL: http://kickpim.sourceforge.net/
Group: Applications/Productivity
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdepim >= %{kdever}-%{kdepimrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdepim >= %{kdever}-%{kdepimrel}
BuildPreReq: perl

%description
KickPIM is a panel applet for quickly editing and accessing the KDE
addressbook or sending emails to your contacts. It shows also a list of
upcoming birthdays

%prep
%setup -q

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{24x24,32x32}/apps
install -m 644 src/icons/hi24-kickpim-icon.png %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/kickpim.png
install -m 644 src/icons/hi32-kickpim-icon.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/kickpim.png


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/libkickpim.la
%{_libdir}/libkickpim.so
%{_datadir}/apps/kicker/applets/kickpim.desktop
%{_datadir}/apps/kickpim
%{_datadir}/doc/HTML/*/kickpim
%{_datadir}/icons/*/*/*/kickpim.png
%{_datadir}/locale/*/LC_MESSAGES/kickpim.mo

%changelog
* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- initial package for Momonga Linux
